## SECTION 04: MANUFACTURING

To obtain raw materials, direct power to mining beams. When used in orbit, the `nav` command can be used to view the type of asteroid present in the system, and their density. Higher density values allow ore to be collected significantly faster. When used while landed on a gas giant or greenhouse planet, various gases are collected, including hydrogen, oxygen, and xenon. The `status` command can be used to view the mining interval, and current mining progress. At the end of each mining interval, one unit of ore or varying quantities of gases are added to the structure's cargo.

Once materials have been collected, available crafting recipes can be listed and queued with the `craft` command. This can be used to manufacture more complex items, and outfits. Assemblers are required in order to manufacture items, and increasing power to the assemblers will increase the rate at which items are produced. The resources and time required to manufacture outfits is multiplied by the outfit's mark. The `queue` command can be used to view resources queued for crafting. Although the `cancel` command can be used to cancel a queue item, no resources will be yielded.

Ships can be constructed using the `construct` command, and planetary bases can be constructed with `base`. Planetary bases are cheaper, but cannot launch from the planet they are constructed on. Structures require Light Material and Heavy Plating to construct. A single Hull Plating is required for each outfit space, however, the demand for Light Material increases exponentially, with the formula `outfit_space ^ cost_factor`, where `cost_factor` is four when constructing ships, two when constructing planetary bases, and one when constructing planetary bases on habitable planets. Shipyards must be present and powered in order to construct ships, and cannot be overcharged. Planetary bases, however, require no shipyards no construct, but must be built while landed on the planet, and share space with all other bases on that planet.

Docked structures can be boarded with the `board` command, granting full control of them. The `load` command can be used to load cargo onto another structure, and the `supply` command can be used to transfer energy to it.

A list of materials and outfits that can be manufactured is provided under [SECTION 09: DATA FILES](#section-09-data-files). All properties are multiplied by the outfit's mark. Additionally, most properties gain a 10% boost to performance for each mark. For example, a mark three outfit would receive a 30% boost.
